package com.sky.common.utils;

import lombok.RequiredArgsConstructor;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import java.util.Set;

@Component
@RequiredArgsConstructor
public class RedisUtil {
    private static final RedisTemplate<Object, Object> redisTemplate = new RedisTemplate<>();

    public static void cleanCache(String key) {
        Set<Object> keys = redisTemplate.keys(key);
        if (keys != null) {
            redisTemplate.delete(keys);
        }
    }
}
